WordPress.org

Make WordPress Core

Opened 13 months ago

Closed 13 months ago

Last modified 13 months ago

#45276 closed enhancement (duplicate)

Upgrade PHPMailer to latest version

Reported by: vincenz17 Owned by:
Milestone: Priority: normal
Severity: normal Version: 4.9.8
Component: Mail Keywords:
Focuses: Cc:
PR Number:

Description

Hello,

I saw in the mail header, that the PHPMailer is included. The version is 5.2.22 (from 2017). The latest version is 6.0.5 (from 2018). I think that is a security problem for me. It is possible to update PHPMailer to the latest Version in the next update?
The description of PHPMailer says, that some security fixes are included in the newer versions. 🙂

Thanks in Advance!

Change History (2)

#1 @ocean90
13 months ago

  • Keywords needs-patch needs-refresh removed
  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed

Hello @vincenz17, welcome to WordPress Trac!

We cannot update to 6.0 due to PHP compatibility issues, see #41750 But we may update to the latest in the 5.x branch, see #40472.

#2 @vincenz17
13 months ago

Thanks, I didn‘t know that.

One question: why WordPress doesn‘t use Github? The Gutenberg editor is using Github, too 🤷‍♂️ What is the reason?

Note: See TracTickets for help on using tickets.